clc
disp('条件平差示例2')
disp('三角形内角观测值')
L1=[42,12,20]
L2=[78,9,9]
L3=[59,38,40]
L=[L1;L2;L3]
disp('将角度转换为弧度')
% LL=dms2rad(mat2dms(L));
% A=[1,1,1];
% w=sum(LL(:))-pi;
% w=dms2mat(rad2dms(w));
% P=eye(3);
% Naa=A*inv(P)*A';
% Ka=-inv(Naa)*w;
% V=A'*Ka;
% L1=L+V;
% LL=dms2rad(mat2dms(L1));
% sumLL=sum(LL);
% if (abs(sum(LL)-pi)<1e-4)
%     disp('正确')
% else
%     disp('错误')
% end

SumLL=tjpc(L);
if (abs(SumLL-pi)<1e-4)
    disp('正确')
else
    disp('错误')
end